commit:     0af2853047da7d35bde7a4b05d75319e6dc7b2a2
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  5 09:13:57 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Feb  5 09:14:02 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0af28530

games-engines/devilutionx: add 1.5.2

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-engines/devilutionx/Manifest                 |  1 +
 games-engines/devilutionx/devilutionx-1.5.2.ebuild | 89 ++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/games-engines/devilutionx/Manifest 
b/games-engines/devilutionx/Manifest
index bb1e2d9fb67f..d24cec6bdc4f 100644
--- a/games-engines/devilutionx/Manifest
+++ b/games-engines/devilutionx/Manifest
@@ -1 +1,2 @@
 DIST devilutionx-1.5.1.tar.xz 21971268 BLAKE2B 
fdcbfad36ded01ca40643d114ffd49b300ccf98b11415cbc396f226d42aa315502319e94e9075a2308f1f003db9611d1232170564f30cc3f09cb4b4db7f82b35
 SHA512 
c712c8215947a117777313bfe24c8b24e8efa702a211e67bee1ae7276176be782394dc32f1cc4509e1539fdca8b1181884f5bc9dc4cf46890f4c57a378fb5d3b
+DIST devilutionx-1.5.2.tar.xz 21968848 BLAKE2B 
5a8c280f262e2d0f47ee5978cfc858ea62481eac838ad691996f359f1c4889499e4c78b5e6a1f2dc998cf0fc89ebbdf79296a25adb411e30e9248cce1b07d3a8
 SHA512 
b7fd5814c8671e439d4349297cfda0d89eb1f7a0945ec11bdf7a83637371664c9c39c036249e1650911397111e1b5d9e931f221ffd2d4a1f9e80d5ca58357dcf

diff --git a/games-engines/devilutionx/devilutionx-1.5.2.ebuild 
b/games-engines/devilutionx/devilutionx-1.5.2.ebuild
new file mode 100644
index 000000000000..29c272d0006a
--- /dev/null
+++ b/games-engines/devilutionx/devilutionx-1.5.2.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="Diablo engine for modern operating systems"
+HOMEPAGE="https://github.com/diasurgical/devilutionX/";
+SRC_URI="
+       
https://github.com/diasurgical/devilutionX/releases/download/${PV}/devilutionx-src.tar.xz
+               -> ${P}.tar.xz
+"
+S=${WORKDIR}/${PN}-src-${PV}
+
+LICENSE="Unlicense CC-BY-4.0 GPL-2+ LGPL-2.1+ MIT OFL-1.1 zerotier? ( BUSL-1.1 
)"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug +sodium test zerotier"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       app-arch/bzip2:=
+       dev-libs/libfmt:=
+       media-libs/libsdl2[haptic,joystick,opengl,video]
+       media-libs/sdl2-image[png]
+       media-libs/sdl_audiolib
+       sys-libs/zlib:=
+       sodium? ( dev-libs/libsodium:= )
+"
+DEPEND="
+       ${RDEPEND}
+       dev-cpp/asio
+       dev-cpp/simpleini
+       test? ( dev-cpp/gtest )
+"
+BDEPEND="
+       sys-devel/gettext
+"
+
+src_prepare() {
+       cmake_src_prepare
+
+       # use system asio
+       echo 'add_library(asio INTERFACE)' > 3rdParty/asio/CMakeLists.txt || die
+
+       # ensure system copies are used
+       rm -r dist/{asio,simpleini,sdl_audiolib}-src || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_TESTING=$(usex test)
+               -DCCACHE_PROGRAM=no #813768
+               -DDEBUG=$(usex debug)
+               -DDISABLE_LTO=yes # let CFLAGS control this
+               -DDISABLE_ZERO_TIER=$(usex !zerotier)
+               -DPACKET_ENCRYPTION=$(usex sodium)
+               -DPIE=yes
+       )
+
+       cmake_src_configure
+}
+
+src_test() {
+       # timedemo tests only pass when game assets are available
+       cmake_src_test -E Timedemo.
+}
+
+src_install() {
+       local DOCS=( Packaging/nix/README.txt docs/*.md )
+       cmake_src_install
+
+       rm -- "${ED}"/usr/share/diasurgical/devilutionx/README.txt || die
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               elog "In order to play the game, you will need to copy the 
following data file"
+               elog "from the original game, and optionally the hellfire 
expansion files:"
+               elog "  - DIABDAT.MPQ"
+               elog "  - hellfire.mpq hfmonk.mpq hfmusic.mpq hfvoice.mpq"
+               elog "to ~/.local/share/diasurgical/devilution/"
+               elog
+               elog "See ${EROOT}/usr/share/doc/${PF}/README.txt* for details."
+       fi
+}

Reply via email to